Skip to main content
Weavr API
Outgoing wire transfers

Confirm an outgoing wire transfer

POST/outgoing_wire_transfers/{id}/confirm

Confirms that the user accepts the payee verification result for the outgoing wire transfer identified by id.

Use this operation when a transfer is in PENDING_CONFIRMATION after a Confirmation of Payee (CoP) or Verification of Payee (VoP) check. The transfer can then proceed to the transaction confirmation challenge. GBP transfers to linked accounts skip this step, while EUR transfers to linked accounts always require it.

Request

Available on
SandboxProduction

Path parameters

Responses

200OK

Success

Headers
Body
application/json
{}
OutgoingWireTransferOutgoingWireTransfer · object · 18 fields
Response example
{  "id": "123456789",  "profileId": "10001",  "tag": "customer-123",  "sourceInstrument": {    "type": "managed_accounts",    "id": "123456789"  },  "transferAmount": {    "currency": "GBP",    "amount": 1250  },  "fee": {    "currency": "GBP",    "amount": 1250  },  "purpose": "Invoice payment",  "description": "Invoice 1042",  "type": "SEPA",  "destination": {    "name": "Alex Smith",    "type": "PERSONAL",    "address": "1 High Street, London W1A 1AA",    "bankName": "National Westminster Bank PLC",    "bankAddress": "250 Bishopsgate, London EC2M 4AA",    "bankCountry": "GB",    "bankAccountDetails": {      "iban": "GB29NWBK60161331926819",      "bankIdentifierCode": "NWBKGB2L"    },    "nationality": "GB",    "dateOfBirth": "1990-01-01"  },  "state": "INVALID",  "rejectedInfo": "SYSTEM",  "challengeExemptionReason": "LOW_VALUE",  "creationTimestamp": 1786118400000,  "scheduledTimestamp": "1786118400000",  "executionTimestamp": "1786118401250",  "cancellationReason": "Payment no longer required",  "validationOutcomes": [    {      "category": "UK_CONFIRMATION_OF_PAYEE",      "categoryResult": {        "match": "EXACT_MATCH",        "reasonCode": "ANNM",        "accountName": "Alex J Smith"      }    }  ]}